Issue 122329 - [sidebar] You can drag the Styles&Formatting window out of the sidebar desk
[sidebar] You can drag the Styles&Formatting window out of the sidebar desk
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
PC Windows 7
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-05-16 17:43 UTC by Regina Henschel
Modified: 2013-07-11 13:56 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
sidebar desk with shifted Styles&Formatting window (10.09 KB, image/png)
2013-05-16 17:43 UTC, Regina Henschel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2013-05-16 17:43:50 UTC
Created attachment 80702 [details]
sidebar desk with shifted Styles&Formatting window

Show Styles&Formatting in the sidebar. Do one of this:
- Grep a vacant area of the category bar of the Styles&Formatting window and drag it to the left. Drop it at another position inside or outside the sidebar desk.
- Ctrl-Double-Click on a vacant area of the category bar. The Styles&Formatting window will jump out or the sidebar desk.

I think, that this behavior should not be allowed for a Styles&Formatting window inside the sidebar desk. I see this behavior only for the Styles&Formatting window, not for Navigator and not for Gallery.
Comment 1 Rainer Bielefeld 2013-05-16 18:08:45 UTC
Reproducible with server installation of  "AOO 4.0.0-Dev – English UI / German locale [AOO400m1(Build:9700) - Rev. 1482523 Rev.1482259 (2013-05-15)]" on WIN7 Home Premium (64bit)", own separate user profile
Happens with docked and undocked sidebar.
Comment 2 SVN Robot 2013-05-17 08:56:56 UTC
"af" committed SVN revision 1483697 into trunk:
122329: Disable undocking of stylist in the sidebar.
Comment 3 Andre 2013-05-17 08:59:13 UTC
The Styles&Formatting dialog was still marked as dockable. 

I have turned that off by removing the WB_DOCKABLE flag in the SfxTemplatePanelControl.  Had to modify the DockingWindow::StateChanged() method to update the DockingWindow::mbDockable flag accordingly.